View Issue Details

IDProjectCategoryView StatusLast Update
0004194Slicer4Core: Documentation and Wikipublic2018-03-02 11:01
ReporterjcfrAssigned Togrundlett 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionSlicer 4.7.0Fixed in VersionSlicer 4.7.0 
Summary0004194: website: SSL certificate associated https://slicer.org is misconfigured, Grade T on SSLLabs
Description

Connecting using Qt returns "The host name did not match any of the valid hosts for this certificate"

SSLLabs also return a "Mismatch"

See https://www.ssllabs.com/ssltest/analyze.html?d=slicer.org

and https://www.ssllabs.com/downloads/SSL_TLS_Deployment_Best_Practices.pdf

TagsNo tags attached.

Relationships

related to 0004195 closedgrundlett website: Enable redirection from http://na-mic.org to https://na-mic.org 
related to 0004196 closedgrundlett website: ssllabs grade for https://na-mic.org is C 

Activities

jcfr

jcfr

2016-05-19 04:08

administrator  

2016.05.19_Slicer_SSLLabs_GradeT.png (Attachment missing)
grundlett

grundlett

2016-07-13 12:01

administrator   ~0014040

JC, do you see a problem with installing python-tools, python-virtualenv and python-setuptools (same for web2) AFAIK these are the recommended tools to use for using Python while keeping each specific tool and the general system python independent.

I'd prefer to use the "letsencrypt" CA and the automated tools (certbot) for certificate management. The first thing certbot does is install system dependencies. I aborted the installation process so that I could report on those requirements.

[root@d905-1 bin]# chmod a+x certbot-auto
[root@d905-1 bin]# ./certbot-auto
Bootstrapping dependencies for RedHat-based OSes...
yum is /usr/bin/yum
Loaded plugins: product-id, replace, rhnplugin, security, subscription-manager
This system is not registered with RHN Classic or RHN Satellite.
You can use rhn_register to register.
RHN Satellite or RHN Classic support will be disabled.
Setting up Install Process
Package gcc-4.1.2-55.el5.x86_64 already installed and latest version
Package dialog-1.0.20051107-1.2.2.x86_64 already installed and latest version
Package openssl-0.9.8e-40.el5_11.x86_64 already installed and latest version
Package openssl-0.9.8e-40.el5_11.i686 already installed and latest version
Package openssl-devel-0.9.8e-40.el5_11.x86_64 already installed and latest version
Package openssl-devel-0.9.8e-40.el5_11.i386 already installed and latest version
Package redhat-rpm-config-8.0.45-32.el5.noarch already installed and latest version
No package ca-certificates available.
Package python-2.4.3-56.el5.x86_64 already installed and latest version
Package python-devel-2.4.3-56.el5.x86_64 already installed and latest version
Package python-devel-2.4.3-56.el5.i386 already installed and latest version
No package python-pip available.
Package 1:mod_ssl-2.2.3-91.el5.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package augeas-libs.i386 0:1.2.0-1.el5 set to be updated
---> Package augeas-libs.x86_64 0:1.2.0-1.el5 set to be updated
---> Package libffi-devel.i386 0:3.0.5-1.el5 set to be updated
--> Processing Dependency: libffi.so.5 for package: libffi-devel
---> Package libffi-devel.x86_64 0:3.0.5-1.el5 set to be updated
---> Package python-tools.x86_64 0:2.4.3-56.el5 set to be updated
---> Package python-virtualenv.noarch 1:1.7.2-2.el5 set to be updated
--> Processing Dependency: python-setuptools for package: python-virtualenv
--> Running transaction check
---> Package libffi.i386 0:3.0.5-1.el5 set to be updated
---> Package python-setuptools.noarch 0:0.6c7-2.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================================================================================================================================================
Package Arch Version Repository Size

Installing:
augeas-libs i386 1.2.0-1.el5 epel 360 k
augeas-libs x86_64 1.2.0-1.el5 epel 362 k
libffi-devel i386 3.0.5-1.el5 epel 16 k
libffi-devel x86_64 3.0.5-1.el5 epel 16 k
python-tools x86_64 2.4.3-56.el5 rhel-5-server-rpms 947 k
python-virtualenv noarch 1:1.7.2-2.el5 epel 1.1 M
Installing for dependencies:
libffi i386 3.0.5-1.el5 epel 21 k
python-setuptools noarch 0.6c7-2.el5 rhel-5-server-cf-tools-1-rpms 476 k

Transaction Summary

Install 8 Package(s)
Upgrade 0 Package(s)

Total download size: 3.2 M
Is this ok [y/N]:

jcfr

jcfr

2016-10-12 14:29

administrator   ~0014182

Re-targeting for 4.7

I am assuming these will be addressed after transitioning to the new infrastructure

Here is the result for https://www.ssllabs.com/ssltest/analyze.html?d=www.slicer.org

jcfr

jcfr

2016-10-12 14:31

administrator  

jcfr

jcfr

2016-11-12 03:44

administrator  

jcfr

jcfr

2016-11-12 03:44

administrator   ~0014248

Fixed in http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=25529

Issue History

Date Modified Username Field Change
2016-05-19 04:07 jcfr New Issue
2016-05-19 04:07 jcfr Status new => assigned
2016-05-19 04:07 jcfr Assigned To => mhalle
2016-05-19 04:08 jcfr File Added: 2016.05.19_Slicer_SSLLabs_GradeT.png
2016-05-19 04:17 jcfr Relationship added related to 0004195
2016-05-19 04:18 jcfr Relationship added related to 0004196
2016-06-20 14:15 jcfr Category Core: Documentation & Wiki => Core: Documentation and Wiki
2016-06-20 17:07 jcfr Assigned To mhalle => grundlett
2016-06-21 18:56 jcfr Summary SSL certificate associated https://slicer.org is misconfigured, Grade T on SSLLabs => website: SSL certificate associated https://slicer.org is misconfigured, Grade T on SSLLabs
2016-07-13 12:01 grundlett Note Added: 0014040
2016-10-12 14:27 jcfr Target Version Slicer 4.6.0 => Slicer 4.7.0
2016-10-12 14:29 jcfr Note Added: 0014182
2016-10-12 14:31 jcfr File Added: 2016.10.12_www_slicer_org_ssllabs_gradeC.png
2016-11-12 03:44 jcfr File Added: 2016-11-12_Slicer_sites_SSLLabs_GradeA.png
2016-11-12 03:44 jcfr Note Added: 0014248
2016-11-12 03:44 jcfr Status assigned => resolved
2016-11-12 03:44 jcfr Fixed in Version => Slicer 4.7.0
2016-11-12 03:44 jcfr Resolution open => fixed
2018-03-02 11:01 jcfr Status resolved => closed